%define srcname oci
%define oci_version 1.3.20

Name: python-oci-sdk
Version: %{oci_version}
Release: 1%{?dist}
Url: http://pypi.python.org/pypi/%{srcname}
Summary: Oracle Bare Metal Cloud Services Python SDK
License: Apache2.0
Group: Development/Libraries
#Source: https://files.pythonhosted.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

SOURCE0: %{srcname}-%{version}.tar.gz
SOURCE1: six-1.11.0.tar.gz
SOURCE2: requests-2.18.4.tar.gz
SOURCE3: cryptography-2.1.3.tar.gz
PATCH1:  cryptography-2.1.3.patch
#BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools >= 11.3
BuildRequires: python-cffi >= 1.7
BuildRequires: openssl-devel 
BuildRequires: python-urllib3 >= 1.22

#required by SDK  
Requires: python-certifi >= 2017.4.17
Requires: python-configparser = 3.5.0
Requires: python-httpsig_cffi == 15.0.0
Requires: python-dateutil = 2.5.3
Requires: pytz	== 2016.10
Requires: python-jwt == 1.5.3
#Required by python-six = 1.11.0
#Required by python-requests = 2.18.4
Requires: python-ndg_httpsclient
Requires: python2-pyasn1
Requires: python2-urllib3 >= 1.21.1, python2-urllib3 < 1.23
Requires: python-idna >= 2.5, python-idna < 2.7
Requires: python-chardet >= 3.0.2, python-chardet <= 3.1.0
#Required by python-cryptography = 2.1.3
Requires: python-setuptools >= 11.3
Requires: python-packaging
Requires: pyOpenSSL <= 17.4.0
Requires: python-asn1crypto >= 0.21.0
Requires: python2-cffi >= 1.9.1


%description
Python SDK for Oracle Bare Metal Cloud Services.

%prep
%setup -q -n %{srcname}-%{version}

patchfile=%{_builddir}/%{srcname}-%{version}/src/oci/__init__.py
sed 3i"import os, sys" -i $patchfile
sed 4i"sys.path.insert(0, os.path.join(os.path.dirname(__file__),'packages'))" -i $patchfile

mkdir -p packages
tar -zxvf %SOURCE1 --directory=packages
tar -zxvf %SOURCE2 --directory=packages
tar -zxvf %SOURCE3 --directory=packages

%build
%{__python} setup.py build

mkdir site_packages

cd packages/six*
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=../../site_packages

cd ../requests*
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=../../site_packages

cd ../cryptography*
patch <%{PATCH1} 
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=../../site_packages


%install
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}
install -d %{buildroot}%{python_sitelib}/oci/packages  
mv %{_builddir}/%{srcname}-%{version}/site_packages/usr/*/*/site-packages/* %{buildroot}%{python_sitelib}/oci/packages


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{python_sitelib}/oci*
%doc README.rst LICENSE.txt

%changelog
* Thu May 03 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.20-1
- Update to version 1.3.20

* Thu Apr 19 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.19-1
- Update to version 1.3.19

* Wed Apr 18 2018 Qing Lin <qing.lin@oracle.com> -1.3.18-2
- Updated the requirement versions same as the package requirement.

* Fri Apr 06 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.18-1
- Update to version 1.3.18

* Mon Mar 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.17-1
- Update to version 1.3.17

* Thu Mar 08 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.16-1
- Update to version 1.3.16

* Thu Feb 22 2018 Jingdong Lu <jingdong.lu@oracle.com> - 1.3.15-1
- Update to version 1.3.15

* Fri Feb 09 2018 Qing Lin <qing.lin@oracle.com> -1.3.14-1
- Updated to version 1.3.14

* Tue Jan 23 2018 Qing Lin <qing.lin@oracle.com> -1.3.12-3
- Updated the requirement versions based on requests package.

* Mon Jan 22 2018 Qing Lin <qing.lin@oracle.com> -1.3.12-2
- Add changelog and requires for urllib3.

* Fri Jan 19 2018 Qing Lin <qing.lin@oracle.com> -1.3.12-1
- update for  spec file for oci 1.3.12

* Thu Sep 15 2017 Qing Lin <qing.lin@oracle.com>
- update for  spec file for oci 1.3.7

* Wed May 31 2017 Laszlo (Laca) Peter <laszlo.peter@oracle.com>
- initial spec file for oci 1.3.2
